lomiri-ui-extras (0.6.3-1build2) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:54:07 +1300

lomiri-ui-extras (0.6.3-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:46:32 +0000

lomiri-ui-extras (0.6.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 18:00:08 +0100

lomiri-ui-extras (0.6.0-1) unstable; urgency=medium

  * New upstream release v0.6.0
  * debian/patches/: Drop upstreamed patches
    + 0001_Use-unified-spelling-for-copyright-holdership-by-Can.patch
    + 0002_Use-unified-spelling-for-copyright-holdership-by-Can.patch
  * debian/control: Add libpam0g-dev as B-D
  * debian/copyright: Update copyright to match new upstream release

 -- Marius Gripsgard <marius@ubports.com>  Wed, 11 Jan 2023 07:27:16 +0100

lomiri-ui-extras (0.5-3) unstable; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * debian/: Update upstream Git repo URL.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml
  * Disable tst_printers test. (Closes: #1015103)

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Oct 2022 20:46:15 +0200

lomiri-ui-extras (0.5-2) unstable; urgency=medium

  * Upload source-only as-is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Mar 2022 20:58:24 +0100

lomiri-ui-extras (0.5-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1006712).
  * debian/patches:
    + Add copyright header amendments from upstream.
  * debian/Jenkinsfile:
    + Drop file.
  * debian/{compat,control}:
    + Switch to debhelper-compat notation, bump DH compat level to version 13.
  * debian/control:
    + Change Section: from x11 to misc.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Add Debian-specific Vcs-*: fields.
    + Update Maintainers: and Uploaders: field for official Debian upload.
    + Drop from B-D: meta-package qt5-default.
    + Switch from B-D python:any to python3:any.
    + Add B-D: xauth.
    + Drop X-Language-Pack: field from global header.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/rules:
    + Drop --parallel and --fail-missing dh flags.
    + Enable all hardening build flags.
    + Add get-orig-source target (for the maintainer's convenience).
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Update copyright attributions.
    + Use secure URL in Format: field.
    + Add Upstream-Contact: field.
  * debian/source/format:
    + Add file. Use '3.0 (quilt)'.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/watch:
    + Add file.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 04 Mar 2022 20:38:06 +0100

lomiri-ui-extras (0.5) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-ui-extras. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 04 Mar 2022 19:34:53 +0100

ubuntu-ui-extras (0.4+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Sun, 07 Jan 2018 23:38:30 +0100

ubuntu-ui-extras (0.3+17.04.20170323-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen, Jonas G. Drange ]
  * Adds devices as an model on Printers, and re-instates remote printer model on Printers.
  * makes sure the backend is refreshed on enable/disable
  * If printerAdded is called ensure there is always a proxy printer
        corrects thread affinity for printerloaded printers, as well as any qobject children it might have
  * Remove PrinterQueue.qml example and add missing job methods to Printers.qml example, so we have only one example
  * improves the deviceName by dropping the CMD (note that the full string remains accessible from device.id)
  * Connect job-impressions-completed from cups to PrinterJob::impressionsCompleted()
  * In the job model listen to printerStateChanged as changes t job-impressions-completed causes that signal
  * Improve the PrinterSignalHandler to limit the maximum wait time of unprocessed signals to four times the timeout
  * Add unit test for SignalRateLimiter to check it does perform a flush
  * Rename PrinterSignalHandler to SignalRateLimiter
  * Add a JobLoader for loading a specific jobId for a printer and loading the extended attributes
  * Move the loading of creationTime, completedTime, processingTime, size and user to extended attributes as signals don't give us those
  * Add method for PrinterBackend for getting a specific job
  * Split up JobModel::update so there is jobCreated, jobState and jobCompleted which then call addJob, removeJob and updateJob
  * Improve Printer::updateFrom to not call loadAttributes as this results in a possible UI block
  * Add missing comparisions for PrinterJob deepCompare and updateFrom
  * Change PrinterJob::setPrinter to not call loadDefaults and instead explicitly call it
  * Change Printers to trigger requestJobExtendedAttributes which triggers a background thread rather than doing in foreground
  * exposes copies attribute on the printer
  * includes cups/adminutils.h into which the cups device callback was moved in >= libcups2-dev 2.2.2
  * allows browsing on local and remote printers
  * Add filters for active, paused and queued
  * Add sorting by creationTime and then falling back to id
  * Change time related roles in JobModel to return QDateTime, not QString, so sorting doesn't break
  * Update tests
  * Change printerGetJobAttributes to use printer-uri and job-id (the same as holdJob and releaseJob
  * Give printerGetJobAttributes printerName so we can ensure we get the correct job
  * adds read/write of the shared property
  * adds extended attribute fetching (IppClient::printerGetAttributes)
  * refactors attribute retrieval from cups
  * implements deviceUri and lastMessage on Printer
  * adds Printers.printTestPage
  * Add tests for JobModel roles
  * Add tests for make and location in Printer
  * Fix JobModel color and quality roles to use fallback if no text
  * Add tests for all roles in PrinterModel
  * Remove PdfRole it is not used (IsPdfRole instead)
  * Add holdJob and releaseJob methods to Printers
  * Add HeldRole to JobModel
  * Add tests for hold and releasing a job
  * Update example to show how hold and release work
  * Update StateRole to return just the state, not text
  * Remove PrinterJob friends and make setters public as they aren't exposed to QML anyway
  * adds make and location to printermodel and printer
  * Pull of trunk
  * Remove use of bitewise or as it fails in CI
  * guards against excessive loading of printers and drivers
  * adds loadPrinter method on Printers
  * drops a lot of code that was not used, and some TODOS/FIXMES that aren't necessary
  * Fix/add commented or empty tests
  * Implement tests that had QSKIP
  * removes empty brackets
  * adds cmake extras, required by printer stuff
  * Remove remaining fixme's
  * Rename UbuntuSettingsComponentsPrintersPlugin to UbuntuComponentsExtrasPrintersPlugin
  * Remove import Ubuntu.Settings.Components 0.1 from example qml imports
  * Rename definition UBUNTUSETTINGSPRINTERS_LIBRARY to UBUNTUCOMPONENTSEXTRASPRINTERS_LIBRARY
  * Rename UbuntuSettingsPrintersQml to UbuntuComponentsExtrasPrintersQml
  * Rename translation domain to ubuntu-ui-extras
  * Fix for printsupport being build-depends rather than depends

 -- Andrew Hayzen <ahayzen@gmail.com>  Thu, 23 Mar 2017 12:54:43 +0000

ubuntu-ui-extras (0.2+17.04.20170301.2-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen, Jonas G. Drange ]
  * Add printer-components from ubuntu-settings-components to ubuntu-ui-
    extras (original branch https://code.launchpad.net/~phablet-
    team/ubuntu-settings-components/printer-components)

 -- Andrew Hayzen <ahayzen@gmail.com>  Wed, 01 Mar 2017 22:24:08 +0000

ubuntu-ui-extras (0.2+17.04.20170222-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen ]
  * Add qml-module-qtqml-models2 as a depends, as it was missing
  * When the tab is being destroyed unset the source of the TabIcon
    Loader
  * Add qtdeclarative5-dev-tools, qml-module-ubuntu-test and xvfb as
    build-deps (LP: #1666556)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 22 Feb 2017 10:52:03 +0000

ubuntu-ui-extras (0.2+17.04.20170116-0ubuntu1) zesty; urgency=medium

  [ Florian Boucault ]
  * New component: TabsBar

 -- Kaleo <florian@boucault.net>  Mon, 16 Jan 2017 16:02:24 +0000

ubuntu-ui-extras (0.2+16.10.20160824.1-0ubuntu1) yakkety; urgency=medium

  [ Florian Boucault ]
  * Fix image orientation in photo image provider for Qt>=5.5

  [ Timo Jyrinki ]
  * Stop depending on transitional packages. (LP: #1583079) (LP:
    #1583079)

 -- Kaleo <florian@boucault.net>  Wed, 24 Aug 2016 15:47:28 +0000

ubuntu-ui-extras (0.2+16.10.20160714-0ubuntu1) yakkety; urgency=medium

  [ Florian Boucault ]
  * Fixes for crossbuilding.

 -- Kaleo <florian@boucault.net>  Thu, 14 Jul 2016 12:45:37 +0000

ubuntu-ui-extras (0.2+16.10.20160609.1-0ubuntu1) yakkety; urgency=medium

  [ Arthur Mello ]
  * Specify the domain "ubuntu-ui-extras" for i18n messages (LP:
    #1521222)

 -- Arthur Renato Mello <arthur.mello@canonical.com>  Thu, 09 Jun 2016 18:09:38 +0000

ubuntu-ui-extras (0.2+16.04.20160503-0ubuntu1) xenial; urgency=medium

  * Qt now takes into account the EXIF orientation data when loading
    pictures; the rotation workaround is no longer necessary.

 -- Florian Boucault <florian.boucault@canonical.com>  Tue, 03 May 2016 13:31:24 +0000

ubuntu-ui-extras (0.2+16.04.20160323.1-0ubuntu1) xenial; urgency=medium

  [ Arthur Mello ]
  * Do not remove files during photo editor's copy process (LP:
    #1549991)

  [ CI Train Bot ]
  * Resync trunk.

 -- Arthur Mello <arthur.mello@canonical.com>  Wed, 23 Mar 2016 18:03:21 +0000

ubuntu-ui-extras (0.2+16.04.20160225-0ubuntu1) xenial; urgency=medium

  [ Arthur Mello ]
  * Update pot files

  [ Florian Boucault ]
  * When rotating pictures during edit, write the EXIF orientation tag
    with the right type (unsigned short) instead of signed long.
    PhotoImageProvider: change its behaviour to only rectify the EXIF
    orientation tag type when necessary (removes all other behaviours:
    caching, etc.) (LP: #1541210)

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 25 Feb 2016 15:11:48 +0000

ubuntu-ui-extras (0.2+16.04.20160105-0ubuntu1) xenial; urgency=medium

  [ Arthur Mello ]
  * Fix po/CMakeLists.txt command to update pot files (LP: #1521222)

 -- Bill Filler <ci-train-bot@canonical.com>  Tue, 05 Jan 2016 21:37:21 +0000

ubuntu-ui-extras (0.2+16.04.20151221-0ubuntu1) xenial; urgency=medium

  [ Arthur Mello ]
  * After editing a photo modify the original file instead of
    removing/moving it (LP: #1524973)

 -- Bill Filler <ci-train-bot@canonical.com>  Mon, 21 Dec 2015 14:24:50 +0000

ubuntu-ui-extras (0.2+15.04.20150311-0ubuntu4) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:05:25 +0200

ubuntu-ui-extras (0.2+15.04.20150311-0ubuntu3) wily; urgency=medium

  * Drop hard-coded dependency on libexiv2-13.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Aug 2015 19:49:44 +0000

ubuntu-ui-extras (0.2+15.04.20150311-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libexiv2-13v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Aug 2015 09:22:10 +0000

ubuntu-ui-extras (0.2+15.04.20150311-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 16:22:37 +0000

ubuntu-ui-extras (0.2+15.04.20150311-0ubuntu1) vivid; urgency=medium

  [ Arthur Mello ]
  * Add QML tests to PhotoEditor's components
  * Changes made on Gallery version of the editor to fix build and AP
    tests

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 11 Mar 2015 18:38:04 +0000

ubuntu-ui-extras (0.2+15.04.20150212.3-0ubuntu1) vivid; urgency=medium

  [ Bill Filler ]
  * remove slow actions, bump the version of the component (LP:
    #1368787)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Ugo Riboni ]
  * remove slow actions, bump the version of the component (LP:
    #1368787)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Feb 2015 17:40:46 +0000

ubuntu-ui-extras (0.1+15.04.20150204-0ubuntu1) vivid; urgency=medium

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Ugo Riboni ]
  * Add a photo editor component, partially based on the Gallery photo
    editor (LP: #1368787)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Feb 2015 20:33:53 +0000

ubuntu-ui-extras (0.1+15.04.20141110-0ubuntu1) vivid; urgency=low

  [ Sebastien Bacher ]
  * Update the translations template during the build, to use for
    langpacks (LP: #1391200)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 16:07:47 +0000

ubuntu-ui-extras (0.1+14.04.20140331-0ubuntu2) trusty; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 15:39:59 -0300

ubuntu-ui-extras (0.1+14.04.20140331-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * Fixed deprecations, refactored a bit for simplicity. Use an Item
    instead of a Rectangle to be more consistent with the toolkit.
    Filter accounts by provider, limiting the model to just Facebook.
    This lets us remove all the conditionals for facebook.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 31 Mar 2014 17:49:59 +0000

ubuntu-ui-extras (0.1+14.04.20140306-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Mar 2014 10:33:55 +0000

ubuntu-ui-extras (0.1+14.04.20140227-0ubuntu1) trusty; urgency=low

  [ Arthur Mello ]
  * fix facebook icon not appearing.

  [ Ugo Riboni ]
  * Allow checking if the Facebook account has been configured or
    removed. (LP: #1240145)

  [ Guenter Schwann ]
  * Use lazy loading for facebook id and name. (LP: #1221266)

  [ CI bot ]
  * release trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Feb 2014 02:23:40 +0000

ubuntu-ui-extras (0.1+13.10.20130829-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Updated for qtdeclarative5-friends0.2 .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 52

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 15:21:34 +0000

ubuntu-ui-extras (0.1+13.10.20130821.1-0ubuntu1) saucy; urgency=low

  [ Ugo Riboni ]
  * Add a SharePopover component that apps can use to let the user chose
    to which service to share.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 50

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 16:18:58 +0000

ubuntu-ui-extras (0.1+13.10.20130821-0ubuntu1) saucy; urgency=low

  [ Ugo Riboni ]
  * Initial Release

  [ Łukasz 'sil2100' Zemczak ]
  * Automatic snapshot from revision 45 (bootstrap)

  [ Ugo Riboni ]
  * Remove the autopilot test and package, since they do nothing for
    now.

  [ Łukasz 'sil2100' Zemczak ]
  * Remove the autopilot test and package, since they do nothing for
    now.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 48

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 09:04:11 +0000
